Bug 664709 - pulseaudio crashes when A2DP device is selected as an output device
Summary: pulseaudio crashes when A2DP device is selected as an output device
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-21 12:44 UTC by zimon
Modified: 2012-08-16 18:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 18:59:52 UTC
Type: ---


Attachments (Terms of Use)
backtrace of the crash when output device profile was selected to be A2DP (19.64 KB, text/plain)
2010-12-21 12:44 UTC, zimon
no flags Details

Description zimon 2010-12-21 12:44:06 UTC
Created attachment 469963 [details]
backtrace of the crash when output device profile was selected to be A2DP

architecture: x86_64
cmdline: /usr/bin/pulseaudio --start --log-target=syslog
component: pulseaudio
crash_function: pa_sink_render_full
executable: /usr/bin/pulseaudio
kernel: 2.6.35.9-64.fc14.x86_64
package: pulseaudio-0.9.21-7.fc14
rating: 4
reason: Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1292934999
uid: 500

comment
-----
The device is "BCK-08".
It works OK in stereo mode with phones N95 and N900.
Also works in mono HF mode with Pulseaudio.

reproduce
-----
1. Paired with A2DP/HF Bluetooth stereo handsfree in CLI # hcitool cc <BT_ADDRESS_OF_HF>
2. Connected to the HF with gnome-panel's Bluetooth applet
3. In gnome-volume-control changed profile from HF (mono) to A2DP (stereo)
4. Pulseaudio crashed

Comment 1 Sebastian Krämer 2011-07-01 11:21:46 UTC
A2DP isn't working for me with F15. I can connect to the headset but the device doesn't appear in the sound control combo box (as output device). Pulseaudio hangs sometimes and gnome-control-center crashes regularly.

Comment 2 Fedora End Of Life 2012-08-16 18:59:55 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.